Generate TTS Audio

Convert text to speech audio using the session's configured TTS voice.

Request Parameters

ParameterRequiredDescription
textYesThe text to convert to speech
localeNoLanguage/locale for text normalization (e.g., ko, en)

Response

Returns base64-encoded audio data in the configured format.

Example

Select "TTSRequest" from the Examples dropdown to see the request format.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string
required
length ≥ 1
string
length ≥ 1
string
enum
Defaults to mp3
  • pcm_24000 - pcm_24000
  • pcm_44100 - pcm_44100
  • wav_24000 - wav_24000
  • wav_44100 - wav_44100
  • mp3_44100 - mp3_44100
  • mp3 - mp3
  • wav - wav
  • pcm - pcm
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

400

Bad Request - Invalid input data or parameters.

401

Unauthorized - Invalid or missing authentication credentials.

403

Forbidden - You do not have permission to perform this action.

404

Not Found - The requested resource could not be found.

405

Method Not Allowed - Invalid HTTP method

406

Not Acceptable - Invalid request accept headers

415

Unsupported Media Type - Invalid content type

500

Internal Server Error - An unexpected error occurred.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json